org.apache.hc.client5.http.routing

## Interface HttpRoutePlanner

All Known Implementing Classes:
  DefaultProxyRoutePlanner, DefaultRoutePlanner, SystemDefaultRoutePlanner

    @Contract(threading=STATELESS)
    public interface HttpRoutePlanner

Encapsulates logic to compute a `HttpRoute` to a target host. Implementations may for example be based on parameters, or on the standard Java system properties.

Implementations of this interface must be thread-safe. Access to shared data must be synchronized as methods of this interface may be executed from multiple threads.

Since:
  4.0

### Method Summary

All Methods Instance Methods Abstract Methods
`HttpRoute` `determineRoute(HttpHost target, HttpContext context)` Determines the route for the given host.

### Method Detail

#### determineRoute

    HttpRoute determineRoute(HttpHost target,
                             HttpContext context)
                      throws HttpException

Determines the route for the given host.

Parameters:
  `target` - the target host for the request.
  `context` - the context to use for the subsequent execution. Implementations may accept `null`.
Returns:
  the route that the request should take
Throws:
  `HttpException` - in case of a problem